### Function

# Ide g_host_file_get_contents

#### Declaration

    gboolean
    ide_g_host_file_get_contents (
      const gchar* path,
      gchar** contents,
      gsize* len,
      GError** error
    )

#### Description

This is similar to `g_file_get_contents()` but ensures that we get the file from the host, rather than our mount namespace.

Available since: | 3.32

#### Parameters

`path` | `const gchar*`
| The path on the host.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`contents` | `gchar**`
| A location for the contents.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.
`len` | `gsize*`
| A location for the size, not including trailing \0
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.